void TraiteChaineSaisie() {
  chaineSaisie = String(Serial.readString());

  if (chaineSaisie == "?") {
    Serial.println(" ");
    Serial.println("0   :  pour faire le zéro d'absorbance ");
    Serial.println("Abs :  afficher/supprimer les valeurs de l'absorbance ");
    Serial.println("r   :  Absorbance LED rouge uniquement");
    Serial.println("v   :  Absorbance LED verte uniquement");
    Serial.println("b   :  Absorbance LED bleue uniquement");
    Serial.println("rvb   :  Absorbance sur les LED rouge verte et bleu");
    Serial.println("I   :  afficher/supprimer uniquement les intensités reçues par la photodiode  ");
    Serial.println("D20 ou D300   :  pour un temps de stabilisation de 20 ou 300 ms  ");

    Serial.println("B   :  afficher/supprimer les intensités reçues par la photodiode (doit être inférieur à 900) ");
  }


  if (chaineSaisie == "I") {
    Ionly = !(Ionly);
    Abs = !(Abs);
  }


  if (chaineSaisie == "B") {
    Bavard = !(Bavard);
  }


  if (chaineSaisie == "Abs") {
    Abs = !(Abs);
  }

  if (chaineSaisie == "r") {
    imin = 2;
    imax = imin + 1;
  }
  if (chaineSaisie == "v") {
    imin = 1;
    imax = imin + 1;
  }
  if (chaineSaisie == "b") {
    imin = 0;
    imax = imin + 1;
  }
  if (chaineSaisie == "rvb") {
    imin = 0;
    imax = 3;
  }


  if (chaineSaisie == "D20") {
    Tstab = 20;
  }

  if (chaineSaisie == "D300") {
    Tstab = 300;
  }

  if (chaineSaisie == "0") {  //teste si le caractère est 0
    Serial.println(" ");
    Serial.print("  Memorisation des valeurs de S0       Soff:");
    Serial.print(Soff); Serial.print("      ");
    for (int i = imin; i < imax; i++) {
      S0[i] = Smesure[i];
      Serial.print(Son[i]); Serial.print("/"); Serial.print(S0[i]);
      Serial.print("     ");
    }
    Serial.println(" ");
  }  // fin de stockage S0
}